Bug 146569 - Uses lots of memory
Uses lots of memory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 15:04 EST by Daryll
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 18:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryll 2005-01-29 15:04:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0 StumbleUpon/1.999

Description of problem:

Evolution data server uses an extremely large amount of memory. 
With about 20 tasks, 50 contacts, and 50 calendar entries EDS is using
550 MB, and the resident size is 176MB when it's idle and about 220MB
when it is adding a task.

When I try to enter an email address in a new message, I can type
about 4 characters before evolution pauses for about a minute. During
this time EDS is swapping in in order to show me the matches for the
name I'm typing. When entering a new task in evolution the wait is
about the same (or longer) while EDS swaps in. This is on a laptop
with 512MB of RAM.



Version-Release number of selected component (if applicable):
1.0.2-3

How reproducible:
Always

Steps to Reproduce:
Try to use evolution contacts and tasks on a laptop.

Actual Results:  Very long waits during various activities.

Expected Results:  EDS should respond quickly, not using nearly that
much memory.

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:51:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Daryll 2006-07-10 18:52:19 EDT
Seems like it isn't a problem in FC5. 

Note You need to log in before you can comment on or make changes to this bug.